![WalletConnect V2](/docs/walletconnect-banner.svg)

# **WalletConnect - Kotlin**

The communications protocol for web3, WalletConnect brings the ecosystem together by enabling hundreds of wallets and apps to securely connect and interact. This repository contains Kotlin implementation of
WalletConnect v2 protocols for Android applications.

## SDks

* [Core SDK](https://github.com/WalletConnect/WalletConnectKotlinV2/tree/develop/androidCore)
* [Sign SDK](https://github.com/WalletConnect/WalletConnectKotlinV2/tree/develop/sign)
* [Auth SDK](https://github.com/WalletConnect/WalletConnectKotlinV2/tree/develop/auth)
* [Chat SDK](https://github.com/WalletConnect/WalletConnectKotlinV2/tree/develop/chat)

####
## SDK Compatibility Chart

| Core  | Sign       | Auth          | Chat          |
|-------|------------|---------------|---------------|
| 1.0.0 | 2.0.0-rc.5 | 1.0.0-alpha01 |               |
| 1.1.0 | 2.0.0      | 1.0.0         |               |
| 1.2.0 |            |               | 1.0.0-alpha01 |
| 1.3.0 | 2.1.0      | 1.1.0         | 1.0.0-alpha02 |
| 1.4.0 | 2.2.0      | 1.2.0         | 1.0.0-alpha03 |



## License
WalletConnect v2 is released under the Apache 2.0 license. [See LICENSE](/LICENSE) for details.